<?
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Смайлы';
require_once('conf/head.php');
if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
  require_once('conf/top.php');
}
$count=mysqli_num_rows(mysqli_query($dbc,"SELECT COUNT(*) FROM`smile`"));



include_once 'nav_class.php';
echo'<center><p class="name">Смайлы</p></center>';
//Эх подстраничная навигация нелезть:)
$nstr='15'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM`smile`"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
$aa = $dbc->query("SELECT * FROM `smile` order by `id`  LIMIT $str,$nstr");
while($ba = mysqli_fetch_assoc($aa)){
echo '<p>'.$ba['name'].' => <img src="/smile/'.$ba['icon'].'" alt="smile" />';

$usid=abs(intval($_SESSION['id']));
$usst=$dbc->query("SELECT * FROM `users` WHERE`id`='$usid' LIMIT 1")->fetch_assoc();

if($usst['admin']==1 and isset($_GET['did'])){$dbc->query("DELETE FROM`smile` WHERE`id`='".abs(intval($_GET['did']))."'");header('location: ');
}
if($usst['admin']==1){echo'<a style="text-decoration:none;" href="?did='.($ba['id']).'"><span class="red"> (удалить)</span></a>';}
}
if($count==0){echo'<p style="border-top: dashed #444e4f 1px;"></p>Новостей нет!<p style="border-top: dashed #444e4f 1px;"></p>';}
if($count>0){$pages->print_nav('&');} //Навигация гг
require_once('conf/navig.php');
require_once('conf/foot.php'); 
?>